In my spare time I enjoy solving programming puzzles, often algorithmic or mathematical in nature. Here is an automatically updated list of the problems I’ve solved on some of my favorite online judges. In total there are **0** problems listed below.

Project Euler

Project Euler is probably the reason I started enjoying mathematics and solving mathematical problems in the first place. It has a lot of very high quality mathematical problems, and a new problem is added almost weekly. I’m currently the highest ranked Project Euler member from Iceland.

Kattis

Kattis is currently my favorite online judge. Unfortunately there aren’t many active coders on Kattis, which is a pity since it holds a lot of high quality algorithmic problems. I’m currently the second highest ranked user on Kattis. Also see my profile page.

UVa Online Judge

UVa Online Judge is an old online judge with lots of algorithmic problems. See my profile page.

Codeforces

Codeforces probably has the most active competitive programming community. I occasionally participate in their contests. See my profile page.

SPOJ

SPOJ has many nice algorithmic problems. I’ve solved a couple of problems there. See my profile page.

CodeChef

CodeChef is another online judge with nice algorithmic problems and regular contests. See my profile page.

Fantastic!

Could you please tell me how to make an automatically updated list like yours?

Best regards！

That’s a brilliant page.

I’m also interested in the list above.Can you tell me how it was formed?

Thanks

It would be great if you can create a blog of hints for problems that you have solved.

hey man i’ve been attacking the prolbem “exponial” on kattis for 5 hours now and was finally able to solve all the given testcases. however, i still failed some blackbox tests apparently. i’ve looked all over the internet but was unable to find anything. test cases are extremely hard to construct on my own so could you give me some test cases (or even better the source code for that problem)?

if you can run these cases on your code and tell me the answers that’d be great:

56 741

13 45

167 569

thanks a lot!!!

Exponial is from NCPC 2016. They post test cases, solution slides and judge solutions to http://ncpc.idi.ntnu.no/ncpc2016/

Hope that helps!

Oh I just saw the solutions… Thanks so much!

How do you keep track of your solved problems . Do you manually add the solved problems to your blog ?

I have a couple of scripts that scrape the relevant sites every now and then.

How do you do this? I think the idea of writing “scripts” to automate tasks such as this is super cool but I don’t really have any idea how to get started. Do you use something like python? Any tips about how I could get started learning how to do this would be much appreciated.

While I am not Bjarki I have used python to scrape Kattis before to find solved problems. If you are interested in learning python and web then it is a really nice project! The first libraries that come to mind that you want to look into is Requests (http://docs.python-requests.org/en/master/) and Beautifulsoup (https://www.crummy.com/software/BeautifulSoup/). I’ve used those with great results before.

I also did a quick google and found a tutorial for scraping with requests and beautifulsoup (http://www.pythonforbeginners.com/python-on-the-web/web-scraping-with-beautifulsoup/). Not sure how good it is but it should provide you with some basics!

Is it possible to get your code to a specific problem?

No, sorry. I keep those private.

Hi,

I have spent days on the codes problem of kattis but still my test cases are not passing.

Please can you provide me with some test cases or links where I could generate some test cases.

Thanks

for problem F posterize, I understand you divide like this DP(i,j) = min_k {DP(k, j-1) + cost(k+1, i)} where i = # red values, using j = #allowed values

Now to compute the cost function cost(i,j) you have 4 variables: i starting index, j last index, k sum of values and x variable that minimize the sum, how can you compute the cost function without using 4 for loops? I have seen some people doing it only on 3 for loops, but I don’t understand why it works.

Thanks in advance.

Hi,

How can I prove the solution for “exponial”?

Hello

How can you solve the problem in java of the book thief?

Because I used the quadratic equation to solve it and then take the formula of the summation, when this sum is 1 + 2 + 3 + 4 + 5

If you have a better solution, I would appreciate it if you would share it with me.

Thank you

Which is best site according to you ?

Can you explain how you solved UVa 861? Thanks